Package org.apache.lucene.sandbox.facet

# Class FacetFieldCollectorManager<V extends FacetRecorder>

java.lang.Object
org.apache.lucene.sandbox.facet.FacetFieldCollectorManager<V>

All Implemented Interfaces:
  `CollectorManager<FacetFieldCollector,V>`

public final class FacetFieldCollectorManager<V extends FacetRecorder> extends Object implements CollectorManager<FacetFieldCollector,V>
Collector manager for `FacetFieldCollector`. Returns the same extension of `FacetRecorder` that was used to collect results.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetFieldCollectorManager(FacetCutter facetCutter, V facetRecorder)`
  Create collector for a cutter + recorder pair

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FacetFieldCollector`
  `newCollector()`
  `V`
  `reduce(Collection<FacetFieldCollector> collectors)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetFieldCollectorManager

    public FacetFieldCollectorManager(FacetCutter facetCutter, V facetRecorder)
    Create collector for a cutter + recorder pair

- ## Method Details

  - ### newCollector

    public FacetFieldCollector newCollector() throws IOException
    Specified by:
      `newCollector` in interface `CollectorManager<FacetFieldCollector,V extends FacetRecorder>`
    Throws:
      `IOException`

  - ### reduce

    public V reduce(Collection<FacetFieldCollector> collectors) throws IOException
    Specified by:
      `reduce` in interface `CollectorManager<FacetFieldCollector,V extends FacetRecorder>`
    Throws:
      `IOException`